Bug 71701 - Remove initWebKitTransitionEvent method
Summary: Remove initWebKitTransitionEvent method
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Dominic Cooney
URL:
Keywords:
Depends on:
Blocks: 68791
  Show dependency treegraph
 
Reported: 2011-11-07 09:30 PST by Dominic Cooney
Modified: 2011-12-27 18:08 PST (History)
3 users (show)

See Also:


Attachments
Patch (7.54 KB, patch)
2011-11-07 09:43 PST, Dominic Cooney
ojan: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dominic Cooney 2011-11-07 09:30:44 PST
Code Search indicates nobody uses this method. Now that WebKitTransitionEvent has a constructor, this method should be removed.
Comment 1 Dominic Cooney 2011-11-07 09:43:02 PST
Created attachment 113884 [details]
Patch
Comment 2 Ojan Vafai 2011-11-07 10:12:55 PST
Comment on attachment 113884 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=113884&action=review

> Source/WebCore/ChangeLog:9
> +        Now that WebKitTransitionEvent has a constructor, we don't need
> +        this method.

Please include the information that init*Event methods have been removed from the spec.
Comment 3 Dominic Cooney 2011-12-25 22:08:48 PST
Comment on attachment 113884 [details]
Patch

Removing this from the commit queue for now.

I filed <https://www.w3.org/Bugs/Public/show_bug.cgi?id=15339> to remove the initTransitionEvent from the spec.
Comment 4 Ojan Vafai 2011-12-26 10:07:06 PST
I don't think you need to wait for the spec to be updated here. The platform as a whole is clearly moving in this direction, so it seems very unlikely to me that this spec won't be updated eventually to match. The longer this stays in trunk, the more likely we'll get stuck unable to remove it due to compatibility concerns.

Filing the spec bug is important of course.
Comment 5 Adam Barth 2011-12-26 13:26:45 PST
Comment on attachment 113884 [details]
Patch

Agreed.  This is definitely the direction the platform is headed.
Comment 6 Dominic Cooney 2011-12-27 18:08:35 PST
Committed r103746.